Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions.triple
Class AbstractTripleAction

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.actions.triple.AbstractTripleAction

All Implemented Interfaces:
  IconOwner, TripleAction

Direct Known Subclasses:
  DeleteTripleAction, QueryTripleAction

    public abstract class AbstractTripleAction

extends Object
implements TripleAction

Author:
  Holger Knublauch

Constructor Summary
`AbstractTripleAction(String name)`
`AbstractTripleAction(String name, String iconFileName, Class iconResourceClass)`

Method Summary
`String` | `getGroup()` Gets an (optional) group name, allowing tools to display action items in groups.
`String` | `getIconFileName()` Gets the relative name of an (optional) icon.
`Class` | `getIconResourceClass()` Gets a Class that is in the same folder as the icon file.
`String` | `getName()` Gets the name of the action to appear on screen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.actions.triple.TripleAction
`isSuitable, run`

Constructor Detail

### AbstractTripleAction

    public AbstractTripleAction(String name)

### AbstractTripleAction

    public AbstractTripleAction(String name,
                                String iconFileName,
                                Class iconResourceClass)

Method Detail

### getGroup

    public String getGroup()

  Description copied from interface: `TripleAction`
  Gets an (optional) group name, allowing tools to display action items in groups.

  Specified by:
    `getGroup` in interface `TripleAction`
  Returns:
    a group name or null

### getIconFileName

    public String getIconFileName()

  Description copied from interface: `IconOwner`
  Gets the relative name of an (optional) icon.

  Specified by:
    `getIconFileName` in interface `IconOwner`
  Returns:
    the icon name such as `"classify.gif"` or null

### getIconResourceClass

    public Class getIconResourceClass()

  Description copied from interface: `IconOwner`
  Gets a Class that is in the same folder as the icon file.

  Specified by:
    `getIconResourceClass` in interface `IconOwner`
  Returns:
    the icon resource Class

### getName

    public String getName()

  Description copied from interface: `TripleAction`
  Gets the name of the action to appear on screen.

  Specified by:
    `getName` in interface `TripleAction`
  Returns:
    the name of this action (should not be null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.